pcl::gpu::Timer Struct Reference

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/utils/include/pcl/gpu/utils/timers_cuda.hpp>`

## Public Member Functions

| Timer (bool runTimer=false)
| ~Timer ()
void | start ()
Timer & | stop ()
float | time ()

## Public Attributes

cudaEvent_t | start_
cudaEvent_t | stop_

## Detailed Description

Definition at line 47 of file timers_cuda.hpp.

## Constructor & Destructor Documentation

## Timer()

pcl::gpu::Timer::Timer | ( | bool | runTimer = `false` | ) |

inline

Definition at line 50 of file timers_cuda.hpp.

References start().

## ~Timer()

pcl::gpu::Timer::~Timer | ( |  | ) |

inline

Definition at line 57 of file timers_cuda.hpp.

## Member Function Documentation

## start()

void pcl::gpu::Timer::start | ( |  | ) |

inline

Definition at line 63 of file timers_cuda.hpp.

Referenced by Timer().

## stop()

Timer& pcl::gpu::Timer::stop | ( |  | ) |

inline

Definition at line 64 of file timers_cuda.hpp.

## time()

float pcl::gpu::Timer::time | ( |  | ) |

inline

Definition at line 66 of file timers_cuda.hpp.

## Member Data Documentation

## start_

cudaEvent_t pcl::gpu::Timer::start_

Definition at line 49 of file timers_cuda.hpp.

## stop_

cudaEvent_t pcl::gpu::Timer::stop_

Definition at line 49 of file timers_cuda.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/utils/include/pcl/gpu/utils/timers_cuda.hpp